
//==================================================================================================
#ifndef _ALUA_MISC_FUNC_H_
#define _ALUA_MISC_FUNC_H_
//==================================================================================================


uint8_t fanScalingAppSpeed(uint8_t a_speedval);
uint8_t fanDeScalingSpeed(uint8_t a_speedval);
uint8_t getXOR (uint8_t* a_pBuffer, uint8_t a_Len);

void app32bPackTo8b(uint32_t a_Value, uint8_t* a_pBuffer);
void app16bPackTo8b(uint16_t a_Value, uint8_t* a_pBuffer);
void app8bPackTo32b(uint8_t* a_pBuffer, uint32_t* a_pValue);
void app8bPackTo16b(uint8_t* a_pBuffer, uint16_t* a_pValue);
void alua_miscConv8bToDecAscii(uint8_t* a_pBuffer, uint8_t a_Value);
void alua_miscConv16bToDecAscii(uint8_t* a_pBuffer, uint16_t a_Value);

float alua_miscConvAscDegToDec(char* a_pStrDeg);
//==================================================================================================
#endif //_ALUA_MISC_FUNC_H_
//==================================================================================================